Valentines Day
Page 1 of 3 123 LastLast
Results 1 to 10 of 27

Thread: 3.95 GEN released - Custom Firmware for PSP

                  
   
  1. #1
    Won Hung Lo wraggster's Avatar
    Join Date
    Apr 2003
    Location
    Nottingham, England
    Age
    47
    Posts
    127,468
    Blog Entries
    3209
    Rep Power
    50

    psp 3.95 GEN released - Custom Firmware for PSP

    Via PSPgen (french psp site) comes news of a new CUSTOM FIRMWARE for the PSP supporting 3.95 (ie the latest firmware)

    heres the release details:

    After a delay of several hours we're proud to present the 3.95 custom firmware. Click continue to find out more. It has been in development for a little over two weeks now, but now the moment has arrived.

    Before we talk about this new firmware and let you get your hands on it, we will respond to your main complaint: "Who is the developer of the firmware?". It will probably come as a surprise for most, but the developer of this custom firmware is called Miriam.

    What's up doc ?

    General

    Kernel updated to 3.95 (new nids, patches etc.).

    Recovery

    Option added in recovery to choose between VSHMenu and in-XMB recovery.

    Option added in recovery to choose between Sony, GEN and M33 network update modes.

    XMB

    Access vshmenu/recovery with the SELECT button.

    Network Update icon can download directly from the GEN server (adjustable).

    Installation :

    For everyone who wants to install 3.95 GEN, you must be on at least 3.71M33.

    Download the package with 3.95 GEN and the popsloader.

    RTU file for all PSP in custom firmware 3.1 M33+


    Note: When installing, all your plug-ins will be disabled.

    Connect your PSP to your computer via USB.

    Extract the file you downloaded by right clicking and choosing the option 'Extract Files To...'.

    Extract the files to your PSP's assigned letter (for example, X).

    Leave USB Mode.

    Goto GAME > Memory Stick > 3.95 GEN

    After it launched press X to install 3.95 GEN or R to leave the updater without doing any changes.

    After the installer has checked some files and operations it will launch the patched Sony updater. Follow the onscreen instructions. Once the installation finishes, it'll ask you to press X to reboot, do so or you'll brick

    Bonus :

    Pressing L-Trigger + Triangle whilst you start the GEN installer, will later disable Sony's 50% battery check.


    A popsloader which works in 3.95 is included, and can be installed like any other version of popsloader.

    Download Here and Give Feedback & Compatability Reports Via Comments

  2. #2
    DCEmu Old Pro The_Ultimate_Eggman's Avatar
    Join Date
    Nov 2005
    Location
    In the pub.
    Posts
    1,020
    Rep Power
    54

    Default

    No 150 kernal ???

  3. #3
    DCEmu Rookie kyyubidx's Avatar
    Join Date
    Jan 2007
    Location
    Braga, Portugal
    Posts
    217
    Rep Power
    45

    Default

    1 - 3.xx Homebrew is working fine! 1.50 Homebrew doesn't work due to the lack of the 1.50 subset... Let's see if the GEN team releases it...

    2 - PS1 Emulation works fine through the popsloader... 3.95 pops does not seem to be working though but I'm guessing they'll fix that...

    3 - Plugins seems to function too... I even got rid of the an issue firmware 3.90 m33 used to give me...

    4 - The memory stick issues in GAME are gone... Or at least seem to be... I have no lag at all

    I'd rate this as a 8/10 release because the most interesting features (3.95pops and 1.50 subset) are not available yet... Still its a very good firmware
    Last edited by kyyubidx; June 1st, 2008 at 16:31.

  4. #4

    Default

    Hi, I have a problem with this update. I'm using a TA 081 mobo (PSP Fat), Backed-up my nand before trying to do the update (I'm in CFW 393/ 150 kern right now), I have downloaded this UPDATE from 2 different sites, including this one. It doesn't load on my PSP, when I activate the 395 GEN, it stays on the white PSP bootscreen, then it shuts down. But, it says on the docs that it is compatible with "PSP Classic". I'm gonna download the 395 eboot directly and put it on my root to check if that's the problem, if it gets fixed I'll let youk now, but what I wanted to say is that this download doesn't work with my PSP, also if anybody else has this problem please reply

  5. #5
    DCEmu Rookie kyyubidx's Avatar
    Join Date
    Jan 2007
    Location
    Braga, Portugal
    Posts
    217
    Rep Power
    45

    Default

    Hi, I have a problem with this update. I'm using a TA 081 mobo (PSP Fat), Backed-up my nand before trying to do the update (I'm in CFW 393/ 150 kern right now), I have downloaded this UPDATE from 2 different sites, including this one. It doesn't load on my PSP, when I activate the 395 GEN, it stays on the white PSP bootscreen, then it shuts down. But, it says on the docs that it is compatible with "PSP Classic". I'm gonna download the 395 eboot directly and put it on my root to check if that's the problem, if it gets fixed I'll let youk now, but what I wanted to say is that this download doesn't work with my PSP, also if anybody else has this problem please reply
    I downloaded mine directly from PSPGEN.com and it worked like a charm...

  6. #6

    Default

    Quote Originally Posted by kyyubidx View Post
    I downloaded mine directly from PSPGEN.com and it worked like a charm...
    ok, I'm checking (translating) the page right now and downloading the $ony 395 to check just in case, any change I'll let you know.

  7. #7
    Time Traveler pspmodel1001's Avatar
    Join Date
    Feb 2008
    Location
    In the Tardis waiting, wanna ride?
    Age
    29
    Posts
    216
    Rep Power
    0

    Default

    heh. I'm sticking with 3.90m33-3 till they add 1.50 subset, and working pops. All in all, I'll try it later. Sounds good.:thumbup:

  8. #8
    DCEmu Rookie kyyubidx's Avatar
    Join Date
    Jan 2007
    Location
    Braga, Portugal
    Posts
    217
    Rep Power
    45

    Default

    Quote Originally Posted by archangelclass View Post
    ok, I'm checking (translating) the page right now and downloading the $ony 395 to check just in case, any change I'll let you know.
    I was re-reading thru your post and the issue might be the fact you're on 3.93CFW... Not sure though... I was on 3.90m33-3

  9. #9

    Default

    so, should I go back to 380M33-5? (I use despertar cementerio 4) cause I downloaded the 395 directly and didn't work either
    Last edited by archangelclass; June 1st, 2008 at 17:22.

  10. #10
    DCEmu Rookie kyyubidx's Avatar
    Join Date
    Jan 2007
    Location
    Braga, Portugal
    Posts
    217
    Rep Power
    45

    Default

    yeah probably... In the readme it states that any m33 CFW since 3.71 works fine to update

Page 1 of 3 123 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •